DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Static Public Member Functions | Static Private Member Functions | Private Attributes | List of all members
OFFilenameCreator Class Reference

A class for automatically creating unique pseudo-random filenames. More...

## Public Member Functions
| OFFilenameCreator ()
| default constructor
| OFFilenameCreator (const OFFilenameCreator &copy)
| copy constructor
virtual | ~OFFilenameCreator ()
| destructor
OFFilenameCreator & | operator= (const OFFilenameCreator &copy)
| assignment operator
OFBool | makeFilename (unsigned int &seed, const char *dir, const char *prefix, const char *postfix, OFString &filename)
| creates a new unique filename. More...

## Static Public Member Functions
static unsigned int | hashString (const char *str)
| creates hash value. More...

## Static Private Member Functions
static void | addLongToString (unsigned long l, OFString &s)
| appends the lower 32 bit of the given number to the given string. More...

## Private Attributes
unsigned long | creation_time
| date/time of creation of this object

## Detailed Description

A class for automatically creating unique pseudo-random filenames.

## Member Function Documentation

## ◆ addLongToString()

static void OFFilenameCreator::addLongToString | ( | unsigned long | l,
|  | OFString & | s
| ) |  |
| static private

appends the lower 32 bit of the given number to the given string.

Always appends exactly 8 digits (padded with leading zeros).

Parameters

  l | number to be appended to string
  s | string to be added to

## ◆ hashString()

static unsigned int OFFilenameCreator::hashString | ( | const char * | str | ) |
| static

creates hash value.

(i.e. random seed) from character string.

Parameters

  str | null-terminated string

Returns
  hash value

## ◆ makeFilename()

OFBool OFFilenameCreator::makeFilename | ( | unsigned int & | seed,
|  | const char * | dir,
|  | const char * | prefix,
|  | const char * | postfix,
|  | OFString & | filename
| ) |  |

creates a new unique filename.

Parameters

  seed | seed of random number generator
  dir | directory in which the file name should be located
  prefix | filename prefix
  postfix | filename postfix
  filename | string in which the filename (path) is returned

Returns
  OFTrue if successful, OFFalse if no filename could be created.

The documentation for this class was generated from the following file:

- ofstd/include/dcmtk/ofstd/offname.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1